Void / Refund API
Void or refund an approved payment.
Void / Refund
Submit a full or partial void request for an approved payment.
API Information
POST/v1/api/pay/cancel
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v1/api/pay/cancel운영
https://npay.settlebank.co.kr/v1/api/pay/cancelRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant void order number (not the original order number).
Merchant void order number (not the original order number).
└mchtCustIdAN(100)Alphanumeric, up to 100 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64 (Standard)Customer ID.Customer ID.
└mchtTrdDtAN(8)Alphanumeric, up to 8 bytes*Void order date (yyyyMMdd).
Void order date (yyyyMMdd).
└mchtTrdTmAN(6)Alphanumeric, up to 6 bytes*Void order time (HH24MISS).
Void order time (HH24MISS).
└trdAmtN(13)Numeric, up to 13 bytes*Void / refund amount.
Void / refund amount.
└trdNoAN(50)Alphanumeric, up to 50 bytes*Original transaction reference number (issued at the time of payment).
Original transaction reference number (issued at the time of payment).
└custAcntSumryAN(30)Alphanumeric, up to 30 bytesBank statement descriptor (Korean: 3 bytes per character).
Bank statement descriptor (Korean: 3 bytes per character).
└splAmtN(13)Numeric, up to 13 bytesSupply amount (pre-tax amount).
Supply amount (pre-tax amount).
└vatN(13)Numeric, up to 13 bytesValue-added tax amount.
Value-added tax amount.
└svcAmtN(13)Numeric, up to 13 bytesService charge amount.
Service charge amount.
└custIpAN(15)Alphanumeric, up to 15 bytesCustomer IP address.
Customer IP address.
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtCustId + mchtTrdDt + mchtTrdTm + trdAmt (plaintext) + trdNo + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Void order number.
OID201902210001Void order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Void transaction reference number.
STFP_FIRM12345678901234567890Void transaction reference number.
└trdAmtN(13)Numeric, up to 13 bytes*Refunded amount.
1000Refunded amount.
Need technical support?
Code Samples
HectoFinancial GitHub